summaryrefslogtreecommitdiffstats
path: root/games/pysolfc-extra-cardsets
diff options
context:
space:
mode:
author B. Watson2018-10-17 19:02:35 +0200
committer Willy Sudiarto Raharjo2018-10-17 19:02:35 +0200
commitc0ba35b6c1163534cdf29d857e9505548f70e835 (patch)
tree3cf85a7b71ba7ebfc160cd5cc0c6cb9365bdd3c3 /games/pysolfc-extra-cardsets
parentd324801606adc6a66b51ce209fe90f6a7ff4a9fd (diff)
downloadslackbuilds-c0ba35b6c1163534cdf29d857e9505548f70e835.tar.gz
games/pysolfc-extra-cardsets: Added (extra cards for pysolfc).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/pysolfc-extra-cardsets')
-rw-r--r--games/pysolfc-extra-cardsets/README11
-rw-r--r--games/pysolfc-extra-cardsets/pysolfc-extra-cardsets.SlackBuild60
-rw-r--r--games/pysolfc-extra-cardsets/pysolfc-extra-cardsets.info12
-rw-r--r--games/pysolfc-extra-cardsets/slack-desc19
4 files changed, 102 insertions, 0 deletions
diff --git a/games/pysolfc-extra-cardsets/README b/games/pysolfc-extra-cardsets/README
new file mode 100644
index 0000000000..f81c787572
--- /dev/null
+++ b/games/pysolfc-extra-cardsets/README
@@ -0,0 +1,11 @@
+pysolfc-extra-cardsets (extra card graphics for pysolfc)
+
+Almost 30MB of extra cardsets for use with pysolfc, including large
+cards for high resolution displays (or for the vision impaired).
+
+Most of the cardsets come from the PySolFC sourceforge download page.
+
+The "bknoll" cardsets were adapted from Byron Knoll's public-domain
+card images, from "http://code.google.com/p/vector-playing-cards/". The
+bknoll-large and bknoll-huge sets are large enough to be used on most
+hi-res displays without enabling scaling in PySolFC.
diff --git a/games/pysolfc-extra-cardsets/pysolfc-extra-cardsets.SlackBuild b/games/pysolfc-extra-cardsets/pysolfc-extra-cardsets.SlackBuild
new file mode 100644
index 0000000000..b9f7464d25
--- /dev/null
+++ b/games/pysolfc-extra-cardsets/pysolfc-extra-cardsets.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for pysolfc-extra-cardsets
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=pysolfc-extra-cardsets
+SRCNAM=PySolFC-Cardsets
+VERSION=${VERSION:-2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/share/PySolFC $OUTPUT
+cd $PKG/usr/share/PySolFC
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2 --strip-components=1
+tar xvf $CWD/pysolfc-cardsets-bknoll.tar.xz --strip-components=1
+
+# Don't include cardsets that are already in the main pysolfc package.
+rm -rf \
+ cardset-2000 \
+ cardset-crystal-mahjongg \
+ cardset-dashavatara-ganjifa \
+ cardset-dondorf \
+ cardset-gnome-mahjongg-1 \
+ cardset-hanafuda-200-years \
+ cardset-hexadeck \
+ cardset-matrix \
+ cardset-mughal-ganjifa \
+ cardset-oxymoron \
+ cardset-standard \
+ cardset-tuxedo \
+ cardset-vienna-2k
+
+chown -R root:root .
+
+# No executables, all files should be 644 here.
+find -L . -type d -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ -type f -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# No docs, include our own README.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/pysolfc-extra-cardsets/pysolfc-extra-cardsets.info b/games/pysolfc-extra-cardsets/pysolfc-extra-cardsets.info
new file mode 100644
index 0000000000..7f5f1a1e6a
--- /dev/null
+++ b/games/pysolfc-extra-cardsets/pysolfc-extra-cardsets.info
@@ -0,0 +1,12 @@
+PRGNAM="pysolfc-extra-cardsets"
+VERSION="2.0"
+HOMEPAGE="https://pysolfc.sourceforge.net"
+DOWNLOAD="https://downloads.sourceforge.net/project/pysolfc/PySolFC-Cardsets/PySolFC-Cardsets-2.0/PySolFC-Cardsets-2.0.tar.bz2 \
+ http://urchlay.naptime.net/~urchlay/src/pysolfc-cardsets-bknoll.tar.xz"
+MD5SUM="0ce4aa6801196f9166815b244aeea47e \
+ 35e3df2c464019167377dc35d5d8354e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="pysolfc"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/pysolfc-extra-cardsets/slack-desc b/games/pysolfc-extra-cardsets/slack-desc
new file mode 100644
index 0000000000..aa4e784cc1
--- /dev/null
+++ b/games/pysolfc-extra-cardsets/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pysolfc-extra-cardsets: pysolfc-extra-cardsets (extra card graphics for pysolfc)
+pysolfc-extra-cardsets:
+pysolfc-extra-cardsets: Almost 30MB of extra cardsets for use with pysolfc, including large
+pysolfc-extra-cardsets: cards for high resolution displays (or for the vision impaired).
+pysolfc-extra-cardsets:
+pysolfc-extra-cardsets:
+pysolfc-extra-cardsets:
+pysolfc-extra-cardsets:
+pysolfc-extra-cardsets:
+pysolfc-extra-cardsets:
+pysolfc-extra-cardsets: